Subject: Re: [PATCH net-next] ipv6: gro: support sit protocol

From: Wolfgang Walter <[email-masked]>
Date: Wed, 04 Nov 2015 18:05:55 +0100

Am Mittwoch, 4. November 2015, 07:13:07 schrieb Eric Dumazet:
> On Wed, 2015-11-04 at 15:09 +0100, Wolfgang Walter wrote:
> > Yes, maybe igb has a problem sending a gro-packet if it is an isatap in
> > gre.
> We might detect this condition properly from igb ndo_features_check
> method.
> 
> It currently uses plain passthru_features_check()
> 
> > igb has no problem sending gro-packets which are pure isatap or which are
> > ipv4 (tcp/udp) in gre with 4.1.12 + these patches.
> > 
> > And it had no problem with 4.1.11 with isatap in gre.
> > 
> > Disabling gso for the interface does help.
> 
> My patch was aimed for 4.4, not sure about backports to old kernels...

I know. I cannot test 4.4 (or net-next) on that router, though, as I don't 
have easy physical access to it if it crashes or I loose network connectivity. 
For such tests I must send someone in situ.

As 4.4 will be the next longterm kernel I definitivly will do that for 4.4-rc2 
or 4.4-rc3.

I think your patch is correct for 4.1 in the sense that ISATAP is correctly 
handled. Only SIT in GRE triggers this and if it is indeed igb I will see it 
probably in 4.4 ;-), too.

I now tested an unmodified 4.1.12 and it shows no problems.

Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts